// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: facility_types.proto

package facility

import (
	state "gitlab.com/mergetb/facility/mars/api/state"
	api "gitlab.com/mergetb/portal/api"
	reconcile "gitlab.com/mergetb/portal/services/pkg/reconcile"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type TaskStatus_Code int32

const (
	TaskStatus_None     TaskStatus_Code = 0
	TaskStatus_Complete TaskStatus_Code = 1
	TaskStatus_Error    TaskStatus_Code = 2
)

// Enum value maps for TaskStatus_Code.
var (
	TaskStatus_Code_name = map[int32]string{
		0: "None",
		1: "Complete",
		2: "Error",
	}
	TaskStatus_Code_value = map[string]int32{
		"None":     0,
		"Complete": 1,
		"Error":    2,
	}
)

func (x TaskStatus_Code) Enum() *TaskStatus_Code {
	p := new(TaskStatus_Code)
	*p = x
	return p
}

func (x TaskStatus_Code) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TaskStatus_Code) Descriptor() protoreflect.EnumDescriptor {
	return file_facility_types_proto_enumTypes[0].Descriptor()
}

func (TaskStatus_Code) Type() protoreflect.EnumType {
	return &file_facility_types_proto_enumTypes[0]
}

func (x TaskStatus_Code) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TaskStatus_Code.Descriptor instead.
func (TaskStatus_Code) EnumDescriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{5, 0}
}

type MaterializeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Materialization *api.Materialization `protobuf:"bytes,1,opt,name=materialization,proto3" json:"materialization,omitempty"`
}

func (x *MaterializeRequest) Reset() {
	*x = MaterializeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MaterializeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MaterializeRequest) ProtoMessage() {}

func (x *MaterializeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MaterializeRequest.ProtoReflect.Descriptor instead.
func (*MaterializeRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{0}
}

func (x *MaterializeRequest) GetMaterialization() *api.Materialization {
	if x != nil {
		return x.Materialization
	}
	return nil
}

type MaterializeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Peer *WgPeerConfig `protobuf:"bytes,1,opt,name=peer,proto3" json:"peer,omitempty"`
}

func (x *MaterializeResponse) Reset() {
	*x = MaterializeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MaterializeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MaterializeResponse) ProtoMessage() {}

func (x *MaterializeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MaterializeResponse.ProtoReflect.Descriptor instead.
func (*MaterializeResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{1}
}

func (x *MaterializeResponse) GetPeer() *WgPeerConfig {
	if x != nil {
		return x.Peer
	}
	return nil
}

type DematerializeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rid string `protobuf:"bytes,1,opt,name=rid,proto3" json:"rid,omitempty"`
	Eid string `protobuf:"bytes,2,opt,name=eid,proto3" json:"eid,omitempty"`
	Pid string `protobuf:"bytes,3,opt,name=pid,proto3" json:"pid,omitempty"`
}

func (x *DematerializeRequest) Reset() {
	*x = DematerializeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DematerializeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DematerializeRequest) ProtoMessage() {}

func (x *DematerializeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DematerializeRequest.ProtoReflect.Descriptor instead.
func (*DematerializeRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{2}
}

func (x *DematerializeRequest) GetRid() string {
	if x != nil {
		return x.Rid
	}
	return ""
}

func (x *DematerializeRequest) GetEid() string {
	if x != nil {
		return x.Eid
	}
	return ""
}

func (x *DematerializeRequest) GetPid() string {
	if x != nil {
		return x.Pid
	}
	return ""
}

type DematerializeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DematerializeResponse) Reset() {
	*x = DematerializeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DematerializeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DematerializeResponse) ProtoMessage() {}

func (x *DematerializeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DematerializeResponse.ProtoReflect.Descriptor instead.
func (*DematerializeResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{3}
}

type StatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rid string `protobuf:"bytes,1,opt,name=rid,proto3" json:"rid,omitempty"`
	Eid string `protobuf:"bytes,2,opt,name=eid,proto3" json:"eid,omitempty"`
	Pid string `protobuf:"bytes,3,opt,name=pid,proto3" json:"pid,omitempty"`
}

func (x *StatusRequest) Reset() {
	*x = StatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatusRequest) ProtoMessage() {}

func (x *StatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatusRequest.ProtoReflect.Descriptor instead.
func (*StatusRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{4}
}

func (x *StatusRequest) GetRid() string {
	if x != nil {
		return x.Rid
	}
	return ""
}

func (x *StatusRequest) GetEid() string {
	if x != nil {
		return x.Eid
	}
	return ""
}

func (x *StatusRequest) GetPid() string {
	if x != nil {
		return x.Pid
	}
	return ""
}

type TaskStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status TaskStatus_Code `protobuf:"varint,1,opt,name=status,proto3,enum=facility.TaskStatus_Code" json:"status,omitempty"`
	Info   string          `protobuf:"bytes,2,opt,name=info,proto3" json:"info,omitempty"`
}

func (x *TaskStatus) Reset() {
	*x = TaskStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskStatus) ProtoMessage() {}

func (x *TaskStatus) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskStatus.ProtoReflect.Descriptor instead.
func (*TaskStatus) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{5}
}

func (x *TaskStatus) GetStatus() TaskStatus_Code {
	if x != nil {
		return x.Status
	}
	return TaskStatus_None
}

func (x *TaskStatus) GetInfo() string {
	if x != nil {
		return x.Info
	}
	return ""
}

type Status struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Element string        `protobuf:"bytes,1,opt,name=element,proto3" json:"element,omitempty"`
	Tasks   []*TaskStatus `protobuf:"bytes,2,rep,name=tasks,proto3" json:"tasks,omitempty"`
}

func (x *Status) Reset() {
	*x = Status{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Status) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Status) ProtoMessage() {}

func (x *Status) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Status.ProtoReflect.Descriptor instead.
func (*Status) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{6}
}

func (x *Status) GetElement() string {
	if x != nil {
		return x.Element
	}
	return ""
}

func (x *Status) GetTasks() []*TaskStatus {
	if x != nil {
		return x.Tasks
	}
	return nil
}

type StatusResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Infranet  *Status   `protobuf:"bytes,1,opt,name=infranet,proto3" json:"infranet,omitempty"`
	Infrapods []*Status `protobuf:"bytes,2,rep,name=infrapods,proto3" json:"infrapods,omitempty"`
	Metal     []*Status `protobuf:"bytes,3,rep,name=metal,proto3" json:"metal,omitempty"`
	Vms       []*Status `protobuf:"bytes,4,rep,name=vms,proto3" json:"vms,omitempty"`
	Links     []*Status `protobuf:"bytes,5,rep,name=links,proto3" json:"links,omitempty"`
	Phyos     []*Status `protobuf:"bytes,6,rep,name=phyos,proto3" json:"phyos,omitempty"`
	Sensors   []*Status `protobuf:"bytes,7,rep,name=sensors,proto3" json:"sensors,omitempty"`
	Actuators []*Status `protobuf:"bytes,8,rep,name=actuators,proto3" json:"actuators,omitempty"`
}

func (x *StatusResponse) Reset() {
	*x = StatusResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatusResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatusResponse) ProtoMessage() {}

func (x *StatusResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatusResponse.ProtoReflect.Descriptor instead.
func (*StatusResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{7}
}

func (x *StatusResponse) GetInfranet() *Status {
	if x != nil {
		return x.Infranet
	}
	return nil
}

func (x *StatusResponse) GetInfrapods() []*Status {
	if x != nil {
		return x.Infrapods
	}
	return nil
}

func (x *StatusResponse) GetMetal() []*Status {
	if x != nil {
		return x.Metal
	}
	return nil
}

func (x *StatusResponse) GetVms() []*Status {
	if x != nil {
		return x.Vms
	}
	return nil
}

func (x *StatusResponse) GetLinks() []*Status {
	if x != nil {
		return x.Links
	}
	return nil
}

func (x *StatusResponse) GetPhyos() []*Status {
	if x != nil {
		return x.Phyos
	}
	return nil
}

func (x *StatusResponse) GetSensors() []*Status {
	if x != nil {
		return x.Sensors
	}
	return nil
}

func (x *StatusResponse) GetActuators() []*Status {
	if x != nil {
		return x.Actuators
	}
	return nil
}

type InfoRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *InfoRequest) Reset() {
	*x = InfoRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfoRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfoRequest) ProtoMessage() {}

func (x *InfoRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfoRequest.ProtoReflect.Descriptor instead.
func (*InfoRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{8}
}

type InfoResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	APIServerVersion string `protobuf:"bytes,1,opt,name=APIServerVersion,proto3" json:"APIServerVersion,omitempty"`
}

func (x *InfoResponse) Reset() {
	*x = InfoResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfoResponse) ProtoMessage() {}

func (x *InfoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfoResponse.ProtoReflect.Descriptor instead.
func (*InfoResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{9}
}

func (x *InfoResponse) GetAPIServerVersion() string {
	if x != nil {
		return x.APIServerVersion
	}
	return ""
}

type ListMetalRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	All bool `protobuf:"varint,1,opt,name=all,proto3" json:"all,omitempty"`
}

func (x *ListMetalRequest) Reset() {
	*x = ListMetalRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListMetalRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListMetalRequest) ProtoMessage() {}

func (x *ListMetalRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListMetalRequest.ProtoReflect.Descriptor instead.
func (*ListMetalRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{10}
}

func (x *ListMetalRequest) GetAll() bool {
	if x != nil {
		return x.All
	}
	return false
}

type ListMetalResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Machines []*state.Metal `protobuf:"bytes,1,rep,name=machines,proto3" json:"machines,omitempty"`
}

func (x *ListMetalResponse) Reset() {
	*x = ListMetalResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListMetalResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListMetalResponse) ProtoMessage() {}

func (x *ListMetalResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListMetalResponse.ProtoReflect.Descriptor instead.
func (*ListMetalResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{11}
}

func (x *ListMetalResponse) GetMachines() []*state.Metal {
	if x != nil {
		return x.Machines
	}
	return nil
}

type ListVMRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	All bool `protobuf:"varint,1,opt,name=all,proto3" json:"all,omitempty"`
}

func (x *ListVMRequest) Reset() {
	*x = ListVMRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVMRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVMRequest) ProtoMessage() {}

func (x *ListVMRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVMRequest.ProtoReflect.Descriptor instead.
func (*ListVMRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{12}
}

func (x *ListVMRequest) GetAll() bool {
	if x != nil {
		return x.All
	}
	return false
}

type ListVMResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Machines []*state.Vm `protobuf:"bytes,1,rep,name=machines,proto3" json:"machines,omitempty"`
}

func (x *ListVMResponse) Reset() {
	*x = ListVMResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVMResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVMResponse) ProtoMessage() {}

func (x *ListVMResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVMResponse.ProtoReflect.Descriptor instead.
func (*ListVMResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{13}
}

func (x *ListVMResponse) GetMachines() []*state.Vm {
	if x != nil {
		return x.Machines
	}
	return nil
}

type ListNetRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListNetRequest) Reset() {
	*x = ListNetRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListNetRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListNetRequest) ProtoMessage() {}

func (x *ListNetRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListNetRequest.ProtoReflect.Descriptor instead.
func (*ListNetRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{14}
}

type ListNetResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Phys        []*state.Phy            `protobuf:"bytes,1,rep,name=phys,proto3" json:"phys,omitempty"`
	Vlans       []*state.Vlan           `protobuf:"bytes,2,rep,name=vlans,proto3" json:"vlans,omitempty"`
	Vteps       []*state.Vtep           `protobuf:"bytes,3,rep,name=vteps,proto3" json:"vteps,omitempty"`
	Access      []*state.Access         `protobuf:"bytes,4,rep,name=access,proto3" json:"access,omitempty"`
	Trunks      []*state.Trunk          `protobuf:"bytes,5,rep,name=trunks,proto3" json:"trunks,omitempty"`
	Peers       []*state.Peer           `protobuf:"bytes,6,rep,name=peers,proto3" json:"peers,omitempty"`
	Routes      []*state.InfranetRoutes `protobuf:"bytes,7,rep,name=routes,proto3" json:"routes,omitempty"`
	Vrfs        []*state.VrfConfig      `protobuf:"bytes,8,rep,name=vrfs,proto3" json:"vrfs,omitempty"`
	PrefixLists []*state.PrefixList     `protobuf:"bytes,9,rep,name=prefix_lists,json=prefixLists,proto3" json:"prefix_lists,omitempty"`
	RouteMaps   []*state.RouteMap       `protobuf:"bytes,10,rep,name=route_maps,json=routeMaps,proto3" json:"route_maps,omitempty"`
}

func (x *ListNetResponse) Reset() {
	*x = ListNetResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListNetResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListNetResponse) ProtoMessage() {}

func (x *ListNetResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListNetResponse.ProtoReflect.Descriptor instead.
func (*ListNetResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{15}
}

func (x *ListNetResponse) GetPhys() []*state.Phy {
	if x != nil {
		return x.Phys
	}
	return nil
}

func (x *ListNetResponse) GetVlans() []*state.Vlan {
	if x != nil {
		return x.Vlans
	}
	return nil
}

func (x *ListNetResponse) GetVteps() []*state.Vtep {
	if x != nil {
		return x.Vteps
	}
	return nil
}

func (x *ListNetResponse) GetAccess() []*state.Access {
	if x != nil {
		return x.Access
	}
	return nil
}

func (x *ListNetResponse) GetTrunks() []*state.Trunk {
	if x != nil {
		return x.Trunks
	}
	return nil
}

func (x *ListNetResponse) GetPeers() []*state.Peer {
	if x != nil {
		return x.Peers
	}
	return nil
}

func (x *ListNetResponse) GetRoutes() []*state.InfranetRoutes {
	if x != nil {
		return x.Routes
	}
	return nil
}

func (x *ListNetResponse) GetVrfs() []*state.VrfConfig {
	if x != nil {
		return x.Vrfs
	}
	return nil
}

func (x *ListNetResponse) GetPrefixLists() []*state.PrefixList {
	if x != nil {
		return x.PrefixLists
	}
	return nil
}

func (x *ListNetResponse) GetRouteMaps() []*state.RouteMap {
	if x != nil {
		return x.RouteMaps
	}
	return nil
}

type ListMzRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListMzRequest) Reset() {
	*x = ListMzRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListMzRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListMzRequest) ProtoMessage() {}

func (x *ListMzRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListMzRequest.ProtoReflect.Descriptor instead.
func (*ListMzRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{16}
}

type ListMzResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Result map[string]*api.MzParameters `protobuf:"bytes,1,rep,name=result,proto3" json:"result,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ListMzResponse) Reset() {
	*x = ListMzResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListMzResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListMzResponse) ProtoMessage() {}

func (x *ListMzResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListMzResponse.ProtoReflect.Descriptor instead.
func (*ListMzResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{17}
}

func (x *ListMzResponse) GetResult() map[string]*api.MzParameters {
	if x != nil {
		return x.Result
	}
	return nil
}

type InitInfranetRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *InitInfranetRequest) Reset() {
	*x = InitInfranetRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InitInfranetRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InitInfranetRequest) ProtoMessage() {}

func (x *InitInfranetRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InitInfranetRequest.ProtoReflect.Descriptor instead.
func (*InitInfranetRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{18}
}

type InitInfranetResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *InitInfranetResponse) Reset() {
	*x = InitInfranetResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InitInfranetResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InitInfranetResponse) ProtoMessage() {}

func (x *InitInfranetResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InitInfranetResponse.ProtoReflect.Descriptor instead.
func (*InitInfranetResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{19}
}

type DeinitInfranetRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeinitInfranetRequest) Reset() {
	*x = DeinitInfranetRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeinitInfranetRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeinitInfranetRequest) ProtoMessage() {}

func (x *DeinitInfranetRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeinitInfranetRequest.ProtoReflect.Descriptor instead.
func (*DeinitInfranetRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{20}
}

type DeinitInfranetResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeinitInfranetResponse) Reset() {
	*x = DeinitInfranetResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[21]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeinitInfranetResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeinitInfranetResponse) ProtoMessage() {}

func (x *DeinitInfranetResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[21]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeinitInfranetResponse.ProtoReflect.Descriptor instead.
func (*DeinitInfranetResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{21}
}

type ListInfrapodsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListInfrapodsRequest) Reset() {
	*x = ListInfrapodsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[22]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListInfrapodsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListInfrapodsRequest) ProtoMessage() {}

func (x *ListInfrapodsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[22]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListInfrapodsRequest.ProtoReflect.Descriptor instead.
func (*ListInfrapodsRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{22}
}

type InfrapodStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	State  *state.InfrapodConfig `protobuf:"bytes,1,opt,name=state,proto3" json:"state,omitempty"`
	Status *reconcile.Status     `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *InfrapodStatus) Reset() {
	*x = InfrapodStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[23]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfrapodStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfrapodStatus) ProtoMessage() {}

func (x *InfrapodStatus) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[23]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfrapodStatus.ProtoReflect.Descriptor instead.
func (*InfrapodStatus) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{23}
}

func (x *InfrapodStatus) GetState() *state.InfrapodConfig {
	if x != nil {
		return x.State
	}
	return nil
}

func (x *InfrapodStatus) GetStatus() *reconcile.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

type ListInfrapodsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Infrapods []*InfrapodStatus `protobuf:"bytes,1,rep,name=infrapods,proto3" json:"infrapods,omitempty"`
}

func (x *ListInfrapodsResponse) Reset() {
	*x = ListInfrapodsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[24]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListInfrapodsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListInfrapodsResponse) ProtoMessage() {}

func (x *ListInfrapodsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[24]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListInfrapodsResponse.ProtoReflect.Descriptor instead.
func (*ListInfrapodsResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{24}
}

func (x *ListInfrapodsResponse) GetInfrapods() []*InfrapodStatus {
	if x != nil {
		return x.Infrapods
	}
	return nil
}

type ClearReconcilerStatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Keys []string `protobuf:"bytes,1,rep,name=keys,proto3" json:"keys,omitempty"`
}

func (x *ClearReconcilerStatusRequest) Reset() {
	*x = ClearReconcilerStatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[25]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClearReconcilerStatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClearReconcilerStatusRequest) ProtoMessage() {}

func (x *ClearReconcilerStatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[25]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClearReconcilerStatusRequest.ProtoReflect.Descriptor instead.
func (*ClearReconcilerStatusRequest) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{25}
}

func (x *ClearReconcilerStatusRequest) GetKeys() []string {
	if x != nil {
		return x.Keys
	}
	return nil
}

type ClearReconcilerStatusResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ClearReconcilerStatusResponse) Reset() {
	*x = ClearReconcilerStatusResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_facility_types_proto_msgTypes[26]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClearReconcilerStatusResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClearReconcilerStatusResponse) ProtoMessage() {}

func (x *ClearReconcilerStatusResponse) ProtoReflect() protoreflect.Message {
	mi := &file_facility_types_proto_msgTypes[26]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClearReconcilerStatusResponse.ProtoReflect.Descriptor instead.
func (*ClearReconcilerStatusResponse) Descriptor() ([]byte, []int) {
	return file_facility_types_proto_rawDescGZIP(), []int{26}
}

var File_facility_types_proto protoreflect.FileDescriptor

var file_facility_types_proto_rawDesc = []byte{
	0x0a, 0x14, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x1a, 0x11, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x77, 0x69, 0x72, 0x65, 0x67, 0x75, 0x61, 0x72, 0x64, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x70, 0x6f, 0x72, 0x74,
	0x61, 0x6c, 0x2f, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1a, 0x72, 0x65, 0x63, 0x6f,
	0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2f, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x57, 0x0a, 0x12, 0x4d, 0x61, 0x74, 0x65, 0x72, 0x69,
	0x61, 0x6c, 0x69, 0x7a, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x41, 0x0a, 0x0f,
	0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x4d,
	0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0f,
	0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22,
	0x41, 0x0a, 0x13, 0x4d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x04, 0x70, 0x65, 0x65, 0x72, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x04, 0x70, 0x65,
	0x65, 0x72, 0x22, 0x4c, 0x0a, 0x14, 0x44, 0x65, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c,
	0x69, 0x7a, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x72, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x72, 0x69, 0x64, 0x12, 0x10, 0x0a, 0x03,
	0x65, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x65, 0x69, 0x64, 0x12, 0x10,
	0x0a, 0x03, 0x70, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x70, 0x69, 0x64,
	0x22, 0x17, 0x0a, 0x15, 0x44, 0x65, 0x6d, 0x61, 0x74, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x69, 0x7a,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x45, 0x0a, 0x0d, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x72, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x72, 0x69, 0x64, 0x12, 0x10, 0x0a, 0x03,
	0x65, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x65, 0x69, 0x64, 0x12, 0x10,
	0x0a, 0x03, 0x70, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x70, 0x69, 0x64,
	0x22, 0x7e, 0x0a, 0x0a, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x31,
	0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x19,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x2e, 0x43, 0x6f, 0x64, 0x65, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x69, 0x6e, 0x66, 0x6f, 0x22, 0x29, 0x0a, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x08, 0x0a,
	0x04, 0x4e, 0x6f, 0x6e, 0x65, 0x10, 0x00, 0x12, 0x0c, 0x0a, 0x08, 0x43, 0x6f, 0x6d, 0x70, 0x6c,
	0x65, 0x74, 0x65, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x10, 0x02,
	0x22, 0x4e, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x65, 0x6c,
	0x65, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x65, 0x6c, 0x65,
	0x6d, 0x65, 0x6e, 0x74, 0x12, 0x2a, 0x0a, 0x05, 0x74, 0x61, 0x73, 0x6b, 0x73, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x54,
	0x61, 0x73, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x05, 0x74, 0x61, 0x73, 0x6b, 0x73,
	0x22, 0xe6, 0x02, 0x0a, 0x0e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x2c, 0x0a, 0x08, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x08, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65,
	0x74, 0x12, 0x2e, 0x0a, 0x09, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x73, 0x18, 0x02,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x09, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64,
	0x73, 0x12, 0x26, 0x0a, 0x05, 0x6d, 0x65, 0x74, 0x61, 0x6c, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x10, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x52, 0x05, 0x6d, 0x65, 0x74, 0x61, 0x6c, 0x12, 0x22, 0x0a, 0x03, 0x76, 0x6d, 0x73,
	0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x03, 0x76, 0x6d, 0x73, 0x12, 0x26, 0x0a,
	0x05, 0x6c, 0x69, 0x6e, 0x6b, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x05,
	0x6c, 0x69, 0x6e, 0x6b, 0x73, 0x12, 0x26, 0x0a, 0x05, 0x70, 0x68, 0x79, 0x6f, 0x73, 0x18, 0x06,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x05, 0x70, 0x68, 0x79, 0x6f, 0x73, 0x12, 0x2a, 0x0a,
	0x07, 0x73, 0x65, 0x6e, 0x73, 0x6f, 0x72, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x10,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x07, 0x73, 0x65, 0x6e, 0x73, 0x6f, 0x72, 0x73, 0x12, 0x2e, 0x0a, 0x09, 0x61, 0x63, 0x74,
	0x75, 0x61, 0x74, 0x6f, 0x72, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x09,
	0x61, 0x63, 0x74, 0x75, 0x61, 0x74, 0x6f, 0x72, 0x73, 0x22, 0x0d, 0x0a, 0x0b, 0x49, 0x6e, 0x66,
	0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x3a, 0x0a, 0x0c, 0x49, 0x6e, 0x66, 0x6f,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x10, 0x41, 0x50, 0x49, 0x53,
	0x65, 0x72, 0x76, 0x65, 0x72, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x10, 0x41, 0x50, 0x49, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x56, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x22, 0x24, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x65, 0x74, 0x61,
	0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x61, 0x6c, 0x6c, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x03, 0x61, 0x6c, 0x6c, 0x22, 0x3d, 0x0a, 0x11, 0x4c, 0x69,
	0x73, 0x74, 0x4d, 0x65, 0x74, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x28, 0x0a, 0x08, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x0c, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x6c, 0x52,
	0x08, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x73, 0x22, 0x21, 0x0a, 0x0d, 0x4c, 0x69, 0x73,
	0x74, 0x56, 0x4d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x61, 0x6c,
	0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x03, 0x61, 0x6c, 0x6c, 0x22, 0x37, 0x0a, 0x0e,
	0x4c, 0x69, 0x73, 0x74, 0x56, 0x4d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x25,
	0x0a, 0x08, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x09, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x56, 0x6d, 0x52, 0x08, 0x6d, 0x61, 0x63,
	0x68, 0x69, 0x6e, 0x65, 0x73, 0x22, 0x10, 0x0a, 0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4e, 0x65, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0xa2, 0x03, 0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74,
	0x4e, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1e, 0x0a, 0x04, 0x70,
	0x68, 0x79, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0a, 0x2e, 0x73, 0x74, 0x61, 0x74,
	0x65, 0x2e, 0x50, 0x68, 0x79, 0x52, 0x04, 0x70, 0x68, 0x79, 0x73, 0x12, 0x21, 0x0a, 0x05, 0x76,
	0x6c, 0x61, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0b, 0x2e, 0x73, 0x74, 0x61,
	0x74, 0x65, 0x2e, 0x56, 0x6c, 0x61, 0x6e, 0x52, 0x05, 0x76, 0x6c, 0x61, 0x6e, 0x73, 0x12, 0x21,
	0x0a, 0x05, 0x76, 0x74, 0x65, 0x70, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0b, 0x2e,
	0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x56, 0x74, 0x65, 0x70, 0x52, 0x05, 0x76, 0x74, 0x65, 0x70,
	0x73, 0x12, 0x25, 0x0a, 0x06, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x0d, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x52, 0x06, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x12, 0x24, 0x0a, 0x06, 0x74, 0x72, 0x75, 0x6e,
	0x6b, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65,
	0x2e, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x52, 0x06, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x12, 0x21,
	0x0a, 0x05, 0x70, 0x65, 0x65, 0x72, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0b, 0x2e,
	0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x65, 0x65, 0x72, 0x52, 0x05, 0x70, 0x65, 0x65, 0x72,
	0x73, 0x12, 0x2d, 0x0a, 0x06, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x15, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e,
	0x65, 0x74, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x52, 0x06, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73,
	0x12, 0x24, 0x0a, 0x04, 0x76, 0x72, 0x66, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x10,
	0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x56, 0x72, 0x66, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x52, 0x04, 0x76, 0x72, 0x66, 0x73, 0x12, 0x34, 0x0a, 0x0c, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x5f, 0x6c, 0x69, 0x73, 0x74, 0x73, 0x18, 0x09, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x2e, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x52,
	0x0b, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x4c, 0x69, 0x73, 0x74, 0x73, 0x12, 0x2e, 0x0a, 0x0a,
	0x72, 0x6f, 0x75, 0x74, 0x65, 0x5f, 0x6d, 0x61, 0x70, 0x73, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x0f, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2e, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x4d, 0x61,
	0x70, 0x52, 0x09, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x4d, 0x61, 0x70, 0x73, 0x22, 0x0f, 0x0a, 0x0d,
	0x4c, 0x69, 0x73, 0x74, 0x4d, 0x7a, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x9f, 0x01,
	0x0a, 0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4d, 0x7a, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x3c, 0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x24, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4d, 0x7a, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x73, 0x75, 0x6c,
	0x74, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x1a, 0x4f,
	0x0a, 0x0b, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a,
	0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12,
	0x2a, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14,
	0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x4d, 0x7a, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65,
	0x74, 0x65, 0x72, 0x73, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22,
	0x15, 0x0a, 0x13, 0x49, 0x6e, 0x69, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x16, 0x0a, 0x14, 0x49, 0x6e, 0x69, 0x74, 0x49, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x17,
	0x0a, 0x15, 0x44, 0x65, 0x69, 0x6e, 0x69, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x18, 0x0a, 0x16, 0x44, 0x65, 0x69, 0x6e, 0x69,
	0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x16, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f,
	0x64, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x68, 0x0a, 0x0e, 0x49, 0x6e, 0x66,
	0x72, 0x61, 0x70, 0x6f, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x2b, 0x0a, 0x05, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x73, 0x74, 0x61,
	0x74, 0x65, 0x2e, 0x49, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x29, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e,
	0x63, 0x69, 0x6c, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x22, 0x4f, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x72, 0x61,
	0x70, 0x6f, 0x64, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x36, 0x0a, 0x09,
	0x69, 0x6e, 0x66, 0x72, 0x61, 0x70, 0x6f, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x18, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x49, 0x6e, 0x66, 0x72, 0x61,
	0x70, 0x6f, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x09, 0x69, 0x6e, 0x66, 0x72, 0x61,
	0x70, 0x6f, 0x64, 0x73, 0x22, 0x32, 0x0a, 0x1c, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x52, 0x65, 0x63,
	0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6b, 0x65, 0x79, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x09, 0x52, 0x04, 0x6b, 0x65, 0x79, 0x73, 0x22, 0x1f, 0x0a, 0x1d, 0x43, 0x6c, 0x65, 0x61,
	0x72, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x2a, 0x5a, 0x28, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2f,
	0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x61, 0x70, 0x69, 0x3b, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_facility_types_proto_rawDescOnce sync.Once
	file_facility_types_proto_rawDescData = file_facility_types_proto_rawDesc
)

func file_facility_types_proto_rawDescGZIP() []byte {
	file_facility_types_proto_rawDescOnce.Do(func() {
		file_facility_types_proto_rawDescData = protoimpl.X.CompressGZIP(file_facility_types_proto_rawDescData)
	})
	return file_facility_types_proto_rawDescData
}

var file_facility_types_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_facility_types_proto_msgTypes = make([]protoimpl.MessageInfo, 28)
var file_facility_types_proto_goTypes = []interface{}{
	(TaskStatus_Code)(0),                  // 0: facility.TaskStatus.Code
	(*MaterializeRequest)(nil),            // 1: facility.MaterializeRequest
	(*MaterializeResponse)(nil),           // 2: facility.MaterializeResponse
	(*DematerializeRequest)(nil),          // 3: facility.DematerializeRequest
	(*DematerializeResponse)(nil),         // 4: facility.DematerializeResponse
	(*StatusRequest)(nil),                 // 5: facility.StatusRequest
	(*TaskStatus)(nil),                    // 6: facility.TaskStatus
	(*Status)(nil),                        // 7: facility.Status
	(*StatusResponse)(nil),                // 8: facility.StatusResponse
	(*InfoRequest)(nil),                   // 9: facility.InfoRequest
	(*InfoResponse)(nil),                  // 10: facility.InfoResponse
	(*ListMetalRequest)(nil),              // 11: facility.ListMetalRequest
	(*ListMetalResponse)(nil),             // 12: facility.ListMetalResponse
	(*ListVMRequest)(nil),                 // 13: facility.ListVMRequest
	(*ListVMResponse)(nil),                // 14: facility.ListVMResponse
	(*ListNetRequest)(nil),                // 15: facility.ListNetRequest
	(*ListNetResponse)(nil),               // 16: facility.ListNetResponse
	(*ListMzRequest)(nil),                 // 17: facility.ListMzRequest
	(*ListMzResponse)(nil),                // 18: facility.ListMzResponse
	(*InitInfranetRequest)(nil),           // 19: facility.InitInfranetRequest
	(*InitInfranetResponse)(nil),          // 20: facility.InitInfranetResponse
	(*DeinitInfranetRequest)(nil),         // 21: facility.DeinitInfranetRequest
	(*DeinitInfranetResponse)(nil),        // 22: facility.DeinitInfranetResponse
	(*ListInfrapodsRequest)(nil),          // 23: facility.ListInfrapodsRequest
	(*InfrapodStatus)(nil),                // 24: facility.InfrapodStatus
	(*ListInfrapodsResponse)(nil),         // 25: facility.ListInfrapodsResponse
	(*ClearReconcilerStatusRequest)(nil),  // 26: facility.ClearReconcilerStatusRequest
	(*ClearReconcilerStatusResponse)(nil), // 27: facility.ClearReconcilerStatusResponse
	nil,                                   // 28: facility.ListMzResponse.ResultEntry
	(*api.Materialization)(nil),           // 29: portal.Materialization
	(*WgPeerConfig)(nil),                  // 30: facility.WgPeerConfig
	(*state.Metal)(nil),                   // 31: state.Metal
	(*state.Vm)(nil),                      // 32: state.Vm
	(*state.Phy)(nil),                     // 33: state.Phy
	(*state.Vlan)(nil),                    // 34: state.Vlan
	(*state.Vtep)(nil),                    // 35: state.Vtep
	(*state.Access)(nil),                  // 36: state.Access
	(*state.Trunk)(nil),                   // 37: state.Trunk
	(*state.Peer)(nil),                    // 38: state.Peer
	(*state.InfranetRoutes)(nil),          // 39: state.InfranetRoutes
	(*state.VrfConfig)(nil),               // 40: state.VrfConfig
	(*state.PrefixList)(nil),              // 41: state.PrefixList
	(*state.RouteMap)(nil),                // 42: state.RouteMap
	(*state.InfrapodConfig)(nil),          // 43: state.InfrapodConfig
	(*reconcile.Status)(nil),              // 44: reconcile.Status
	(*api.MzParameters)(nil),              // 45: portal.MzParameters
}
var file_facility_types_proto_depIdxs = []int32{
	29, // 0: facility.MaterializeRequest.materialization:type_name -> portal.Materialization
	30, // 1: facility.MaterializeResponse.peer:type_name -> facility.WgPeerConfig
	0,  // 2: facility.TaskStatus.status:type_name -> facility.TaskStatus.Code
	6,  // 3: facility.Status.tasks:type_name -> facility.TaskStatus
	7,  // 4: facility.StatusResponse.infranet:type_name -> facility.Status
	7,  // 5: facility.StatusResponse.infrapods:type_name -> facility.Status
	7,  // 6: facility.StatusResponse.metal:type_name -> facility.Status
	7,  // 7: facility.StatusResponse.vms:type_name -> facility.Status
	7,  // 8: facility.StatusResponse.links:type_name -> facility.Status
	7,  // 9: facility.StatusResponse.phyos:type_name -> facility.Status
	7,  // 10: facility.StatusResponse.sensors:type_name -> facility.Status
	7,  // 11: facility.StatusResponse.actuators:type_name -> facility.Status
	31, // 12: facility.ListMetalResponse.machines:type_name -> state.Metal
	32, // 13: facility.ListVMResponse.machines:type_name -> state.Vm
	33, // 14: facility.ListNetResponse.phys:type_name -> state.Phy
	34, // 15: facility.ListNetResponse.vlans:type_name -> state.Vlan
	35, // 16: facility.ListNetResponse.vteps:type_name -> state.Vtep
	36, // 17: facility.ListNetResponse.access:type_name -> state.Access
	37, // 18: facility.ListNetResponse.trunks:type_name -> state.Trunk
	38, // 19: facility.ListNetResponse.peers:type_name -> state.Peer
	39, // 20: facility.ListNetResponse.routes:type_name -> state.InfranetRoutes
	40, // 21: facility.ListNetResponse.vrfs:type_name -> state.VrfConfig
	41, // 22: facility.ListNetResponse.prefix_lists:type_name -> state.PrefixList
	42, // 23: facility.ListNetResponse.route_maps:type_name -> state.RouteMap
	28, // 24: facility.ListMzResponse.result:type_name -> facility.ListMzResponse.ResultEntry
	43, // 25: facility.InfrapodStatus.state:type_name -> state.InfrapodConfig
	44, // 26: facility.InfrapodStatus.status:type_name -> reconcile.Status
	24, // 27: facility.ListInfrapodsResponse.infrapods:type_name -> facility.InfrapodStatus
	45, // 28: facility.ListMzResponse.ResultEntry.value:type_name -> portal.MzParameters
	29, // [29:29] is the sub-list for method output_type
	29, // [29:29] is the sub-list for method input_type
	29, // [29:29] is the sub-list for extension type_name
	29, // [29:29] is the sub-list for extension extendee
	0,  // [0:29] is the sub-list for field type_name
}

func init() { file_facility_types_proto_init() }
func file_facility_types_proto_init() {
	if File_facility_types_proto != nil {
		return
	}
	file_wireguard_types_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_facility_types_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MaterializeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MaterializeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DematerializeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DematerializeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Status); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatusResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfoRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfoResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListMetalRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListMetalResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVMRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVMResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListNetRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListNetResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListMzRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListMzResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InitInfranetRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InitInfranetResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeinitInfranetRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[21].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeinitInfranetResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[22].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListInfrapodsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[23].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfrapodStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[24].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListInfrapodsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[25].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClearReconcilerStatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_facility_types_proto_msgTypes[26].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClearReconcilerStatusResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_facility_types_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   28,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_facility_types_proto_goTypes,
		DependencyIndexes: file_facility_types_proto_depIdxs,
		EnumInfos:         file_facility_types_proto_enumTypes,
		MessageInfos:      file_facility_types_proto_msgTypes,
	}.Build()
	File_facility_types_proto = out.File
	file_facility_types_proto_rawDesc = nil
	file_facility_types_proto_goTypes = nil
	file_facility_types_proto_depIdxs = nil
}
